%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

%global module DecoratorTools

Name:           python-decoratortools
Version:        1.8
Release:        16%{?dist}
Summary:        Use class and function decorators -- even in Python 2.3
Group:          Development/Languages
License:        Python or ZPLv2.1
URL:            http://pypi.python.org/pypi/DecoratorTools
Source0:        http://pypi.python.org/packages/source/D/DecoratorTools/%{module}-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel python-setuptools python-nose

%global _description\
Want to use decorators, but still need to support Python 2.3? Wish you could\
have class decorators, decorate arbitrary assignments, or match decorated\
function signatures to their original functions? Then you need "DecoratorTools"\


%description %_description

%package -n python2-decoratortools
Summary: %summary
%{?python_provide:%python_provide python2-decoratortools}

%description -n python2-decoratortools %_description

%prep
%setup -q -n %{module}-%{version}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%check
PYTHONPATH=$(pwd) nosetests -q


%clean
rm -rf %{buildroot}


%files -n python2-decoratortools
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}/peak
%{python_sitelib}/%{module}-%{version}-py%{pyver}.egg-info
%{python_sitelib}/%{module}-%{version}-py%{pyver}-nspkg.pth


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.8-15
- Python 2 binary package renamed to python2-decoratortools
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 12 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 1.8-8
- Replace dep on python-setuptools-devel with python-setuptools

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 29 2011 Luke Macken <lmacken@redhat.com> - 1.8-3
- Fix the URLs (#729443)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 30 2010 Luke Macken <lmacken@redhat.com> - 1.8-1
- Update to 1.8 (#630718)
- Run the test suite

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.7-2
- Rebuild for Python 2.6

* Thu Feb 28 2008 Luke Macken <lmacken@redhat.com> - 1.7-1
- Update to 1.7

* Tue Nov 27 2007 Luke Macken <lmacken@redhat.com> - 1.6-1
- 1.6

* Sat Sep 01 2007 Toshio Kuratomi <a.badger@gmail.com> - 1.5-2
- Verify that .pth files are correct.
- Update license tag for new guidelines.
- Update setuptools BR for changes in rawhide.

* Tue Aug 21 2007 Luke Macken <lmacken@redhat.com> - 1.5-1
- 1.5

* Tue May  8 2007 Luke Macken <lmacken@redhat.com>  - 1.4-2
- Own the peak namespace, for now.

* Thu May  3 2007 Luke Macken <lmacken@redhat.com> - 1.4-1
- Initial creation
